#!/bin/bash

set -o errexit
set -o pipefail

n=0
maxjobs=5

date=${date}
start=${start}
end=${end}
scen=${scen}
dist=${dist}

years=($(seq ${start:0:4} ${end:0:4}))
len=${#years[@]}

for (( i = 0; i < ${len}; i++ ));do
	 	
	echo ${years[${i}]} &
	python3 042_extract_netcdf_temp_yearwise.py output/ARM_run_${date}/${scen}/ ${years[${i}]} ${start} ${dist} &
  	
  if (( $(($((++n)) % $maxjobs)) == 0 )) ; then
        wait # wait until all have finished 
        echo $n wait
    fi
	
 done

echo "done"

for (( i = 0; i < ${len}; i++ ));do
	 	
	echo ${years[${i}]} &
	python3 041_extract_netcdf_precip_yearwise.py output/ARM_run_${date}/${scen}/ ${years[${i}]} ${start} ${dist} &
	
  if (( $(($((++n)) % $maxjobs)) == 0 )) ; then
        wait # wait until all have finished 
        echo $n wait
    fi
	
 done

echo "done"

#cdo mergetime output/ARM_run_${date}/ta_slp/ARM_slp_${date2}/${date}_slp_analogs* ${date}_slp_ARM_${start}-${end}.nc
#cdo mergetime output/ARM_run_${date}/ta_slp/ARM_t2m_${date2}/${date}_temp_deseas_analogs* ${date}_t2m_ARM_${start}-${end}.nc
